# $Id: gc.spec,v 1.14 2004/07/09 12:35:32 rexdieter Exp $

# define to --enable-threads, --enable-parallel-mark
%define threads 1

#define beta alpha6

Summary: C++ Garbage Collector	
Name:    gc	
Epoch:	 0
Version: 6.3
Release: 0.fdr.1%{?dist_tag}.2
Group:	 System Environment/Libraries
License: BSD
Url:     http://www.hpl.hp.com/personal/Hans_Boehm/gc/	
Source:	 http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc6.3.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch1: gc-6.3-opendl.patch


%description
The Boehm-Demers-Weiser conservative garbage collector can be used as a garbage 
collecting replacement for C malloc or C++ new.

%package devel
Summary: Libraries and header files for gc development 
Group:   Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
Libraries and header files for gc development.


%prep
%setup -n %{name}%{version}

%patch1 -p1 -b .opendl


%build

%configure \
  --disable-static \
  --enable-cplusplus \
  %{?threads: --enable-threads=posix --enable-parallel-mark}

make %{?_smp_mflags}

make check


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

install -p -D -m644 doc/gc.man	$RPM_BUILD_ROOT%{_mandir}/man3/gc.3

## Unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/gc
rm -f  $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf 	"$RPM_BUILD_ROOT"


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root)
%doc doc/README doc/README.changes doc/README.contributors
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc doc/*.html
%{_includedir}/*
%{_libdir}/lib*.so
#{_libdir}/lib*.*a
%{_mandir}/man?/*


%changelog
* Fri Jul 09 2004 Rex Dieter <rexdieter at sf.net> 0:6.3-0.fdr.1
- 6.3(final)

* Tue Jun 01 2004 Rex Dieter <rexdieter at sf.net> 0:6.3-0.fdr.0.4.alpha6
- dlopen patch

* Wed May 26 2004 Rex Dieter <rexdieter at sf.net> 0:6.3-0.fdr.0.3.alpha6
- explictly --enable-threads ('n friends)

* Tue May 25 2004 Rex Dieter <rexdieter at sf.net> 0:6.3-0.fdr.0.2.alpha6
- 6.3alpha6
- --disable-static
- --enable-parallel-mark

* Wed Dec 17 2003 Rex Dieter <rexdieter at sf.net> 0:6.3-0.fdr.0.1.alpha2
- 6.3alpha2

* Thu Oct 02 2003 Rex Dieter <rexdieter at sf.net> 0:6.2-0.fdr.3
- OK, put manpage in man3.

* Thu Oct 02 2003 Rex Dieter <rexdieter at sf.net> 0:6.2-0.fdr.2
- drop manpage pending feedback from developer. 

* Tue Sep 30 2003 Rex Dieter <rexdieter at sf.net> 0:6.2-0.fdr.1
- fix manpage location 
- remove .la file (it appears unnecessary after all, thanks to opendl patch)
- remove cvs tag from description
- touchup -devel desc/summary.
- macro update to support Fedora Core

* Thu Sep 11 2003 Rex Dieter <rexdieter at sf.net> 0:6.2-0.fdr.0 
- 6.2 release.
- update license (BSD)
- Consider building with: --enable-parallel-mark
  (for now, no).

